MIX_GetAudioDecoderFormat(3)

NAME
MIX_GetAudioDecoderFormat - Query the initial audio format of a MIX_AudioDecoder.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

bool MIX_GetAudioDecoderFormat(MIX_AudioDecoder *audiodecoder, SDL_AudioSpec *spec);

DESCRIPTION
Note that some audio files can change format in the middle; some explicitly support this, but a more common example is two MP3 files concatenated together. In many cases, SDL_mixer will correctly handle these sort of files, but this function will only report the initial format a file uses.

FUNCTION PARAMETERS

audiodecoder
    the audio decoder to query.

spec
    on success, audio format details will be stored here.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.